For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Fallback Shipping Method

Returns a single fallback shipping method by handle. Returns 404 if absent.

Get a Fallback Shipping Method

get

Returns a single fallback shipping method by handle. Returns 404 if absent.

Path parameters
merchant_idinteger · int32Required
handlestringRequired

The shipping method handle

Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
200

The fallback shipping method.

application/json
labelstringOptional

The name of the shipping method.

descriptionstringOptional

Description of the shipping method.

priceinteger · int32Optional

The price of the shipping method in cents.

currencystring · enumOptional

The currency of the shipping method.

Possible values:
handlestringOptional

The handle or external ID to use when utilizing this method.

calculation_typestring · enum · nullableOptional

Whether the price is calculated per the entire order or per item.

Possible values:
get/merchants/{merchant_id}/shipping-methods/{handle}
200

The fallback shipping method.

Last updated

Was this helpful?